# -*- coding: utf-8 -*-



from qt import *
from filesPopup import filesPopup
from filesList import filesList


class frmMain(QMainWindow):
	def __init__(self,parent = None,name = None,fl = 0):
		QMainWindow.__init__(self,parent,name,fl)
		self.statusBar()
	
		if not name:
			self.setName("frmMain")
	
		LayoutWidget = QWidget(self,"layout3")
		LayoutWidget.setGeometry(QRect(60,80,450,550))
		layout3 = QVBoxLayout(LayoutWidget,11,6,"layout3")
	
		self.setCentralWidget(LayoutWidget)
	
		
		self.textLabel1 = QLabel(LayoutWidget,"textLabel1")
		layout3.addWidget(self.textLabel1)
	
		self.lstFiles = QListBox(LayoutWidget,"lstFiles")
		layout3.addWidget(self.lstFiles)
		
		self.fileslist = filesList( self.lstFiles )
		self.lstFilesPopup = filesPopup( self.lstFiles , self.fileslist)
		self.connect( self.lstFiles , SIGNAL("contextMenuRequested ( QListBoxItem * , const QPoint & )") , self.lstFilesPopup.popup )
		
	
		layout1 = QHBoxLayout(layout3, -1, "layout1")
	
		self.btnView = QPushButton(LayoutWidget,"btnView")
	
		layout1.addWidget(self.btnView)
	
		self.btnChat = QPushButton(LayoutWidget,"btnChat")
	
		layout1.addWidget(self.btnChat)

		self.languageChange()
	
		self.resize(QSize(650,550).expandedTo(self.minimumSizeHint()))
		self.clearWState(Qt.WState_Polished)
	
		self.setTabOrder(self.lstFiles,self.btnView)
		self.setTabOrder(self.btnView,self.btnChat)


	def languageChange(self):
		self.setCaption(self.__tr("KBlackBoard"))
		self.textLabel1.setText(self.__tr("Files:"))
		self.btnView.setText(self.__tr("View"))
		self.btnChat.setText(self.__tr("Open chat"))


	def __tr(self,s,c = None):
        	return qApp.translate("frmMain",s,c)
