from qt import *
import sys, thread
from SimpleXMLRPCServer import *

from configFile import KBlackBoardConfig
from frmMain import frmMain
from frmServer import frmServer
import rpc


if __name__ == "__main__":
	
	
	app = QApplication(sys.argv)
	
	while True:
		serverWindow = frmServer()
		
		if not serverWindow.exec_loop():
			raise SystemExit
		
		serverWindow.saveConfig()
		
		if len(KBlackBoardConfig.get('Server','Description')) > 0:
			break
	
	mainWindow = frmMain()
	mainWindow.show()
	app.setMainWidget(mainWindow)
	
	server = rpc.rpcServer( mainWindow.fileslist, mainWindow.clientslist )
	server.start()
	
	app.exec_loop()
	
	KBlackBoardConfig.write()
	
	server.stop()
	
	
	
